structureSynthExportedFileName = getOpenFileName caption:"Select file" filename:(getDir(#import) + "\\structureSynth.txt")
if structureSynthExportedFileName != undefined do (
	textFile = openFile (structureSynthExportedFileName) mode:"r"
	originalSphere = sphere radius:1.0
	originalBox = box height:1.0 width:1.0 length:1.0
	CenterObject originalBox
	undo off(
		while (not (eof textFile)) do (
			tempString = readLine textFile
			dataArray = filterString tempString ","
			case dataArray[1] of (
					"sphere":(
						myCopy = instance originalSphere
						myCopy.name = dataArray[2]
						move myCopy [dataArray[4] as float,dataArray[5] as float,dataArray[6] as float]
						scale myCopy [dataArray[7] as float,dataArray[7] as float,dataArray[7] as float]
						)
					"box":(
						myXMatrixAsString = filterString dataArray[4] " "
						myCopy = instance originalBox
						myCopy.name = dataArray[2]
						myMatrix = (matrix3 [myXMatrixAsString[1] as float,myXMatrixAsString[2] as float,myXMatrixAsString[3] as float] [myXMatrixAsString[5] as float,myXMatrixAsString[6] as float,myXMatrixAsString[7] as float] [myXMatrixAsString[9] as float,myXMatrixAsString[10] as float,myXMatrixAsString[11] as float] [myXMatrixAsString[13] as float,myXMatrixAsString[14] as float,myXMatrixAsString[15] as float])
						myCopy.transform = myMatrix
						)
					default: "NULL"
			)
		)
		delete originalSphere
		delete originalBox
	)
	close textFile
)